Modify

Opened 5 years ago

Closed 5 years ago

Last modified 4 years ago

#13782 closed defect (invalid)

rev 37078 doesn't boot after flashing

Reported by: desigabri Owned by: developers
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description

Hi, this is a quick request, that I'll complete may be tomorrow, whit logs informations.

I think it could be important because after the flashing (two different TP-Link WR841ND V7) they became bricked. No possible to go in failsafe mode, no ping response, no DHCP service, no WEB. I read about a possible similar situation for a WR1043ND that should have been fixed (may be not) in the 37077 or 37078 revision. I'll try with serial connection for the boot logs, but meantime if anyone will have the same trouble...

Attachments (0)

Change History (29)

comment:1 Changed 5 years ago by desigabri

Ok, this is the serial log when booting from the rev.37078 firmware on the two bricked TP-WR841ND v7 routers

U-Boot 1.1.4 (Jul 26 2010 - 16:19:37)

AP99 (ar7241 - Virian) U-boot
DRAM:
sri
ar7240_ddr_initial_config(133): virian ddr1 init
#### TAP VALUE 1 = 0xf, 2 = 0x10 [0x0: 0x1f]
32 MB
id read 0x100000ff
sector count = 64
Flash: 4 MB
Using default environment

In: serial
Out: serial
Err: serial
Net: ag7240_enet_initialize...
No valid address in Flash. Using fixed address
No valid address in Flash. Using fixed address
Virian MDC CFG Value ==> 4
: cfg1 0xf cfg2 0x7014
eth0: 00:03:7f:09:0b:ad
eth0 up
Virian MDC CFG Value ==> 4
: cfg1 0xf cfg2 0x7214
eth1: 00:03:7f:09:0b:ad
ATHRS26: resetting s26
ATHRS26: s26 reset done
eth1 up
eth0, eth1
Autobooting in 1 seconds
## Booting image at 9f020000 ...

Uncompressing Kernel Image ... OK

Starting kernel ...

OpenWrt kernel loader for AR7XXX/AR9XXX
Copyright (C) 2011 Gabor Juhos <juhosg@…>
Looking for OpenWrt image... found at 0xbf022000
Decompressing kernel... done!
Starting kernel at 80060000...

[ 0.000000] Linux version 3.8.13 (desigabri@desigabri-VirtualBox) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r36881) ) #82 Fri Jun 28 23:10:20 CEST 2013
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[ 0.000000] SoC: Atheros AR7241 rev 1
[ 0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:5.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 02000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x01ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
[ 0.000000] Kernel command line: board=TL-WR841N-v7 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] ex_table already sorted, skipping sort
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 29048k/32768k available (2049k kernel code, 3720k reserved, 498k data, 264k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[ 0.080000] pid_max: default: 32768 minimum: 301
[ 0.080000] Mount-cache hash table entries: 512
[ 0.090000] NET: Registered protocol family 16
[ 0.100000] MIPS: machine is TP-LINK TL-WR841N/ND v7
[ 0.500000] registering PCI controller with io_map_base unset
[ 0.510000] bio: create slab <bio-0> at 0
[ 0.520000] PCI host bridge to bus 0000:00
[ 0.520000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[ 0.530000] pci_bus 0000:00: root bus resource [io 0x0000]
[ 0.530000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[ 0.540000] pci 0000:00:00.0: fixup device configuration
[ 0.540000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1000ffff 64bit]
[ 0.550000] pci 0000:00:00.0: using irq 40 for pin 1
[ 0.550000] Switching to clocksource MIPS
[ 0.560000] NET: Registered protocol family 2
[ 0.560000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.570000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.580000] TCP: Hash tables configured (established 512 bind 512)
[ 0.580000] TCP: reno registered
[ 0.590000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.600000] NET: Registered protocol family 1
[ 0.620000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.630000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.640000] msgmni has been set to 56
[ 0.640000] io scheduler noop registered
[ 0.640000] io scheduler deadline registered (default)
[ 0.650000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[ 0.680000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 0.680000] console [ttyS0] enabled, bootconsole disabled
[ 0.680000] console [ttyS0] enabled, bootconsole disabled
[ 0.700000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[ 0.710000] m25p80 spi0.0: found s25sl032p, expected m25p80
[ 0.710000] m25p80 spi0.0: s25sl032p (4096 Kbytes)
[ 0.720000] 5 tp-link partitions found on MTD device spi0.0
[ 0.720000] Creating 5 MTD partitions on "spi0.0":
[ 0.730000] 0x000000000000-0x000000020000 : "u-boot"
[ 0.730000] 0x000000020000-0x000000108200 : "kernel"
[ 0.740000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.750000] 0x000000108200-0x0000003f0000 : "rootfs"
[ 0.760000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.770000] mtd: partition "rootfs" set to be root filesystem
[ 0.780000] mtd: partition "rootfs_data" created automatically, ofs=390000, len=60000
[ 0.790000] 0x000000390000-0x0000003f0000 : "rootfs_data"
[ 0.790000] 0x0000003f0000-0x000000400000 : "art"
[ 0.800000] 0x000000020000-0x0000003f0000 : "firmware"
[ 0.820000] libphy: ag71xx_mdio: probed
[ 0.830000] eth0: Atheros AG71xx at 0xba000000, irq 5, mode:GMII
[ 1.380000] eth0: Found an AR7240/AR9330 built-in switch
[ 2.420000] eth1: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[ 2.970000] ag71xx ag71xx.0 eth1: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[ 2.980000] TCP: cubic registered
[ 2.990000] NET: Registered protocol family 17
[ 2.990000] 8021q: 802.1Q VLAN Support v1.8
[ 3.000000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[ 3.010000] Freeing unused kernel memory: 264k freed
init started: BusyBox v1.19.4 (2013-06-28 22:37:11 CEST)
Bad inittab entry at line 3
can't run '/etc/init.d/rcS': No such file or directory

comment:2 Changed 5 years ago by blogic

  • Resolution set to worksforme
  • Status changed from new to closed

run "make oldconfig && make"

comment:3 Changed 5 years ago by desigabri

THANKS FOR FAST REPLAY

Hi, I know that you developers are well prepared about openwrt working tips, but over this suggestion is it possible to know when I need to use this command again in the future? Is it an usuall command to apply? What does this command do exactly? and what about doing it automatically every time I compile? (I'm using some scripts to compile a list of desidered firmwares and architectures sequentially, so I need to knows more about this command)

Thanks in advance, I'm going to try this

comment:4 Changed 5 years ago by desigabri

I googled for this command and I found that is related about the adding of new options into the .config file after a kernel version change.

This explained to me something about the trouble, but I need to know if I have to run this command almost one time after a kernel version change for every board compiling. So in my situation, because I run a script to compile sequentially every board I want and their related firmware custom composition, should I use this command automatically before every compiling (just loosing some time) or one time before every board change? Or Have I to use it exclusively after having compiled some broken firmwares?


comment:5 Changed 5 years ago by desigabri

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Didn't work for me :( (tried loading a 36909 and 36936 revision worked)

UNBRICKED VIA SERIAL PORT

ar7240> loadb
## Ready for binary (kermit) download to 0x81000000 at 115200 bps...
## Total Size = 0x00320004 = 3276804 Bytes
## Start Addr = 0x81000000
ar7240> erase 0x9f020000 +0x320004

First 0x2 last 0x34 sector size 0x10000

52

Erased 51 sectors
ar7240> cp.b 0x81000000 0x9f020000 0x320004
Copy to Flash... write addr: 9f020000
done
ar7240> bootm 0x9f020000
## Booting image at 9f020000 ...

Uncompressing Kernel Image ... OK

Starting kernel ...

OpenWrt kernel loader for AR7XXX/AR9XXX
Copyright (C) 2011 Gabor Juhos <juhosg@…>
Looking for OpenWrt image... found at 0xbf022000
Decompressing kernel... done!
Starting kernel at 80060000...

[ 0.000000] Linux version 3.8.13 (desigabri@desigabri-VirtualBox) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r36881) ) #90 Sat Jun 29 15:18:58 CEST 2013
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[ 0.000000] SoC: Atheros AR7241 rev 1
[ 0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:5.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 02000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x01ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
[ 0.000000] Kernel command line: board=TL-WR841N-v7 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] ex_table already sorted, skipping sort
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 29048k/32768k available (2049k kernel code, 3720k reserved, 498k data, 264k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[ 0.080000] pid_max: default: 32768 minimum: 301
[ 0.080000] Mount-cache hash table entries: 512
[ 0.090000] NET: Registered protocol family 16
[ 0.100000] MIPS: machine is TP-LINK TL-WR841N/ND v7
[ 0.500000] registering PCI controller with io_map_base unset
[ 0.510000] bio: create slab <bio-0> at 0
[ 0.520000] PCI host bridge to bus 0000:00
[ 0.520000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[ 0.530000] pci_bus 0000:00: root bus resource [io 0x0000]
[ 0.530000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[ 0.540000] pci 0000:00:00.0: fixup device configuration
[ 0.540000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1000ffff 64bit]
[ 0.550000] pci 0000:00:00.0: using irq 40 for pin 1
[ 0.550000] Switching to clocksource MIPS
[ 0.560000] NET: Registered protocol family 2
[ 0.560000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.570000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.580000] TCP: Hash tables configured (established 512 bind 512)
[ 0.580000] TCP: reno registered
[ 0.590000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.600000] NET: Registered protocol family 1
[ 0.620000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.630000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.640000] msgmni has been set to 56
[ 0.640000] io scheduler noop registered
[ 0.640000] io scheduler deadline registered (default)
[ 0.650000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[ 0.680000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 0.680000] console [ttyS0] enabled, bootconsole disabled
[ 0.680000] console [ttyS0] enabled, bootconsole disabled
[ 0.700000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[ 0.710000] m25p80 spi0.0: found s25sl032p, expected m25p80
[ 0.710000] m25p80 spi0.0: s25sl032p (4096 Kbytes)
[ 0.720000] 5 tp-link partitions found on MTD device spi0.0
[ 0.720000] Creating 5 MTD partitions on "spi0.0":
[ 0.730000] 0x000000000000-0x000000020000 : "u-boot"
[ 0.730000] 0x000000020000-0x000000108200 : "kernel"
[ 0.740000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.750000] 0x000000108200-0x0000003f0000 : "rootfs"
[ 0.760000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.770000] mtd: partition "rootfs" set to be root filesystem
[ 0.780000] mtd: partition "rootfs_data" created automatically, ofs=340000, len=B0000
[ 0.790000] 0x000000340000-0x0000003f0000 : "rootfs_data"
[ 0.790000] 0x0000003f0000-0x000000400000 : "art"
[ 0.800000] 0x000000020000-0x0000003f0000 : "firmware"
[ 0.820000] libphy: ag71xx_mdio: probed
[ 0.830000] eth0: Atheros AG71xx at 0xba000000, irq 5, mode:GMII
[ 1.380000] eth0: Found an AR7240/AR9330 built-in switch
[ 2.420000] eth1: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[ 2.970000] ag71xx ag71xx.0 eth1: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[ 2.980000] TCP: cubic registered
[ 2.990000] NET: Registered protocol family 17
[ 2.990000] 8021q: 802.1Q VLAN Support v1.8
[ 3.000000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[ 3.010000] Freeing unused kernel memory: 264k freed
init started: BusyBox v1.19.4 (2013-06-28 22:37:11 CEST)
Bad inittab entry at line 3
can't run '/etc/init.d/rcS': No such file or directory

comment:6 Changed 5 years ago by Elphidium

Nothing worked for me #13755 #13780 #13782 and #13784 all the same problem.

comment:7 Changed 5 years ago by desigabri

rev 37083
tried make clean
tried make clean target/linux
tried make all clean

didn't worked

I'm trying now
make dirclean ....

comment:8 Changed 5 years ago by jow

  • Priority changed from normal to response-needed

That might still not resolve your problem if the .config is invalid. Attach the scripts/diffconfig.sh output here.

comment:9 Changed 5 years ago by desigabri

yes, still not woring :( :( :(

OpenWrt kernel loader for AR7XXX/AR9XXX
Copyright (C) 2011 Gabor Juhos <juhosg@…>
Looking for OpenWrt image... found at 0xbf022000
Decompressing kernel... done!
Starting kernel at 80060000...

[ 0.000000] Linux version 3.8.13 (desigabri@desigabri-VirtualBox) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r37082) ) #2 Sat Jun 29 17:33:46 CEST 2013
[ 0.000000] bootconsole [early0] enabled
...
...
...
init started: BusyBox v1.19.4 (2013-06-29 17:29:56 CEST)
Bad inittab entry at line 3
can't run '/etc/init.d/rcS': No such file or directory


these lines are what you requested hope they help thanks in advance

CONFIG_TARGET_ar71xx=y
CONFIG_TARGET_ar71xx_generic=y
CONFIG_TARGET_ar71xx_generic_Default=y
CONFIG_DEVEL=y
CONFIG_TOOLCHAINOPTS=y
CONFIG_BROKEN=y
CONFIG_BUSYBOX_CONFIG_FEATURE_INIT_SYSLOG=y
# CONFIG_BUSYBOX_CONFIG_FEATURE_IPV6 is not set
CONFIG_BUSYBOX_CONFIG_FEATURE_SEAMLESS_BZ2=y
CONFIG_BUSYBOX_CONFIG_FEATURE_SEAMLESS_LZMA=y
CONFIG_BUSYBOX_CONFIG_FEATURE_TFTP_GET=y
CONFIG_BUSYBOX_CONFIG_FEATURE_TFTP_PUT=y
CONFIG_BUSYBOX_CONFIG_FEATURE_USE_INITTAB=y
CONFIG_BUSYBOX_CONFIG_INIT=y
CONFIG_BUSYBOX_CONFIG_INIT_TERMINAL_TYPE="linux"
CONFIG_BUSYBOX_CONFIG_TFTP=y
CONFIG_BUSYBOX_CONFIG_TFTPD=y
# CONFIG_GDB is not set
# CONFIG_IPV6 is not set
# CONFIG_KERNEL_DEBUG_FS is not set
# CONFIG_KERNEL_ELF_CORE is not set
# CONFIG_KERNEL_MAGIC_SYSRQ is not set
CONFIG_OPENVPN_nossl_ENABLE_DEF_AUTH=y
CONFIG_OPENVPN_nossl_ENABLE_FRAGMENT=y
CONFIG_OPENVPN_nossl_ENABLE_HTTP=y
CONFIG_OPENVPN_nossl_ENABLE_LZO=y
CONFIG_OPENVPN_nossl_ENABLE_MULTIHOME=y
CONFIG_OPENVPN_nossl_ENABLE_PF=y
CONFIG_OPENVPN_nossl_ENABLE_PORT_SHARE=y
CONFIG_OPENVPN_nossl_ENABLE_SERVER=y
CONFIG_OPENVPN_nossl_ENABLE_SOCKS=y
# CONFIG_PACKAGE_6relayd is not set
# CONFIG_PACKAGE_MAC80211_DEBUGFS is not set
CONFIG_PACKAGE_ddns-scripts=y
CONFIG_PACKAGE_etherwake=y
CONFIG_PACKAGE_iptables-mod-conntrack-extra=y
CONFIG_PACKAGE_iptables-mod-filter=y
CONFIG_PACKAGE_iptables-mod-ipopt=y
CONFIG_PACKAGE_kmod-ifb=y
# CONFIG_PACKAGE_kmod-ip6tables is not set
CONFIG_PACKAGE_kmod-ipt-conntrack-extra=y
CONFIG_PACKAGE_kmod-ipt-filter=y
CONFIG_PACKAGE_kmod-ipt-ipopt=y
CONFIG_PACKAGE_kmod-ipt-nat-extra=y
CONFIG_PACKAGE_kmod-ipt-nathelper-extra=y
# CONFIG_PACKAGE_kmod-ipv6 is not set
CONFIG_PACKAGE_kmod-ledtrig-gpio=y
CONFIG_PACKAGE_kmod-ledtrig-heartbeat=y
CONFIG_PACKAGE_kmod-ledtrig-netfilter=y
CONFIG_PACKAGE_kmod-lib-textsearch=y
# CONFIG_PACKAGE_kmod-nls-base is not set
CONFIG_PACKAGE_kmod-sched-connmark=y
CONFIG_PACKAGE_kmod-sched-core=y
CONFIG_PACKAGE_kmod-tun=y
# CONFIG_PACKAGE_kmod-usb-core is not set
# CONFIG_PACKAGE_kmod-usb-ohci is not set
# CONFIG_PACKAGE_kmod-usb2 is not set
CONFIG_PACKAGE_libcyassl=y
# CONFIG_PACKAGE_libip6tc is not set
CONFIG_PACKAGE_libiwinfo=y
CONFIG_PACKAGE_libiwinfo-lua=y
CONFIG_PACKAGE_liblua=y
CONFIG_PACKAGE_liblzo=y
CONFIG_PACKAGE_libnfnetlink=y
CONFIG_PACKAGE_libubus-lua=y
CONFIG_PACKAGE_libuci-lua=y
CONFIG_PACKAGE_libustream-cyassl=y
CONFIG_PACKAGE_lua=y
CONFIG_PACKAGE_luci=y
CONFIG_PACKAGE_luci-app-ddns=y
CONFIG_PACKAGE_luci-app-firewall=y
CONFIG_PACKAGE_luci-app-openvpn=y
CONFIG_PACKAGE_luci-app-qos=y
CONFIG_PACKAGE_luci-app-upnp=y
CONFIG_PACKAGE_luci-app-wol=y
CONFIG_PACKAGE_luci-i18n-english=y
CONFIG_PACKAGE_luci-i18n-italian=y
CONFIG_PACKAGE_luci-lib-core=y
CONFIG_PACKAGE_luci-lib-fastindex=y
CONFIG_PACKAGE_luci-lib-ipkg=y
CONFIG_PACKAGE_luci-lib-nixio=y
CONFIG_PACKAGE_luci-lib-sys=y
CONFIG_PACKAGE_luci-lib-web=y
CONFIG_PACKAGE_luci-mod-admin-core=y
CONFIG_PACKAGE_luci-mod-admin-full=y
CONFIG_PACKAGE_luci-proto-core=y
CONFIG_PACKAGE_luci-proto-ppp=y
CONFIG_PACKAGE_luci-sgi-cgi=y
CONFIG_PACKAGE_luci-ssl=y
CONFIG_PACKAGE_luci-theme-base=y
CONFIG_PACKAGE_luci-theme-bootstrap=y
CONFIG_PACKAGE_miniupnpd=y
# CONFIG_PACKAGE_odhcp6c is not set
CONFIG_PACKAGE_openvpn-nossl=y
CONFIG_PACKAGE_px5g=y
CONFIG_PACKAGE_qos-scripts=y
CONFIG_PACKAGE_tc=y
CONFIG_PACKAGE_uhttpd=y
CONFIG_PACKAGE_uhttpd-mod-ubus=y
CONFIG_PACKAGE_wireless-tools=y
CONFIG_STRIP_KERNEL_EXPORTS=y
CONFIG_TARGET_ROOTFS_CPIOGZ=y
CONFIG_USE_MKLIBS=y

comment:10 Changed 5 years ago by jow

You still have "CONFIG_BUSYBOX_CONFIG_INIT=y" enabled, thats probably your problem. Disable it by removing it from your config, then run "make defconfig" again and retry.

comment:11 Changed 5 years ago by desigabri

just to understand better: after done a "make defconfig" have I to reenable "CONFIG_BUSYBOX_CONFIG_INIT=y" or it must stay OFF?

comment:12 Changed 5 years ago by desigabri

I can't disable it: just when doing a make, then the .config reconfigure itself with that option... (dependences)

comment:13 Changed 5 years ago by nbd

  • Resolution set to not_a_bug
  • Status changed from reopened to closed

copy your config to a new file, edit it, remove everything that contains 'BUSYBOX', then rename that file to .config and run make defconfig

comment:14 Changed 5 years ago by desigabri

  • Resolution not_a_bug deleted
  • Status changed from closed to reopened

didn't work in that way: I had to add this line
# CONFIG_PACKAGE_busybox is not set

to obtain the deletion of all the BUSYBOX lines

BUT why does it shouldn't be a bug if it worked before with busybox configuration lines and doesn't work now with the same configuration lines?

anyway it doesn't work anymore also if without busybox: :(

Have I to start from scratch? nobody having this issue?

U-Boot 1.1.4 (Jul 26 2010 - 16:19:37)

AP99 (ar7241 - Virian) U-boot
DRAM:
sri
ar7240_ddr_initial_config(133): virian ddr1 init
#### TAP VALUE 1 = 0xf, 2 = 0x10 [0x0: 0x1f]
32 MB
id read 0x100000ff
sector count = 64
Flash: 4 MB
Using default environment

In: serial
Out: serial
Err: serial
Net: ag7240_enet_initialize...
No valid address in Flash. Using fixed address
No valid address in Flash. Using fixed address
Virian MDC CFG Value ==> 4
: cfg1 0xf cfg2 0x7014
eth0: 00:03:7f:09:0b:ad
eth0 up
Virian MDC CFG Value ==> 4
: cfg1 0xf cfg2 0x7214
eth1: 00:03:7f:09:0b:ad
ATHRS26: resetting s26
ATHRS26: s26 reset done
eth1 up
eth0, eth1
Autobooting in 1 seconds
## Booting image at 9f020000 ...

Uncompressing Kernel Image ... OK

Starting kernel ...

OpenWrt kernel loader for AR7XXX/AR9XXX
Copyright (C) 2011 Gabor Juhos <juhosg@…>
Looking for OpenWrt image... found at 0xbf022000
Decompressing kernel... done!
Starting kernel at 80060000...

[ 0.000000] Linux version 3.8.13 (desigabri@desigabri-VirtualBox) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r37082) ) #14 Mon Jul 1 17:23:22 CEST 2013
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[ 0.000000] SoC: Atheros AR7241 rev 1
[ 0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:5.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 02000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x01ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
[ 0.000000] Kernel command line: board=TL-WR841N-v7 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] ex_table already sorted, skipping sort
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 29048k/32768k available (2049k kernel code, 3720k reserved, 498k data, 264k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[ 0.080000] pid_max: default: 32768 minimum: 301
[ 0.080000] Mount-cache hash table entries: 512
[ 0.090000] NET: Registered protocol family 16
[ 0.100000] MIPS: machine is TP-LINK TL-WR841N/ND v7
[ 0.500000] registering PCI controller with io_map_base unset
[ 0.510000] bio: create slab <bio-0> at 0
[ 0.520000] PCI host bridge to bus 0000:00
[ 0.520000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[ 0.530000] pci_bus 0000:00: root bus resource [io 0x0000]
[ 0.530000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[ 0.540000] pci 0000:00:00.0: fixup device configuration
[ 0.540000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1000ffff 64bit]
[ 0.550000] pci 0000:00:00.0: using irq 40 for pin 1
[ 0.550000] Switching to clocksource MIPS
[ 0.560000] NET: Registered protocol family 2
[ 0.560000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.570000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.580000] TCP: Hash tables configured (established 512 bind 512)
[ 0.580000] TCP: reno registered
[ 0.590000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.600000] NET: Registered protocol family 1
[ 0.620000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.630000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.640000] msgmni has been set to 56
[ 0.640000] io scheduler noop registered
[ 0.640000] io scheduler deadline registered (default)
[ 0.650000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[ 0.680000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 0.680000] console [ttyS0] enabled, bootconsole disabled
[ 0.680000] console [ttyS0] enabled, bootconsole disabled
[ 0.700000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[ 0.710000] m25p80 spi0.0: found s25sl032p, expected m25p80
[ 0.710000] m25p80 spi0.0: s25sl032p (4096 Kbytes)
[ 0.720000] 5 tp-link partitions found on MTD device spi0.0
[ 0.720000] Creating 5 MTD partitions on "spi0.0":
[ 0.730000] 0x000000000000-0x000000020000 : "u-boot"
[ 0.730000] 0x000000020000-0x000000108200 : "kernel"
[ 0.740000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.750000] 0x000000108200-0x0000003f0000 : "rootfs"
[ 0.760000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.770000] mtd: partition "rootfs" set to be root filesystem
[ 0.780000] mtd: partition "rootfs_data" created automatically, ofs=310000, len=E0000
[ 0.790000] 0x000000310000-0x0000003f0000 : "rootfs_data"
[ 0.790000] 0x0000003f0000-0x000000400000 : "art"
[ 0.800000] 0x000000020000-0x0000003f0000 : "firmware"
[ 0.820000] libphy: ag71xx_mdio: probed
[ 0.830000] eth0: Atheros AG71xx at 0xba000000, irq 5, mode:GMII
[ 1.380000] eth0: Found an AR7240/AR9330 built-in switch
[ 2.420000] eth1: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[ 2.970000] ag71xx ag71xx.0 eth1: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[ 2.980000] TCP: cubic registered
[ 2.990000] NET: Registered protocol family 17
[ 2.990000] 8021q: 802.1Q VLAN Support v1.8
[ 3.000000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[ 3.010000] Freeing unused kernel memory: 264k freed
procd: Console is alive
procd: - preinit -
procd: Failed to start preinit
procd: - early -
procd: - init -
Please press Enter to activate this console.
procd: - init complete -

/sbin/askfirst: Please press Enter to activate this console.

/sbin/askfirst: Please press Enter to activate this console.

/sbin/askfirst: Please press Enter to activate this console.

comment:15 Changed 5 years ago by nbd

  • Resolution set to not_a_bug
  • Status changed from reopened to closed

You misunderstood - I wanted you to delete all BUSYBOX lines from the config, so they would be recreated with the defaults. I did not tell you to disable busybox itself, because of course it's required for the system to run properly.

comment:16 Changed 5 years ago by Elphidium

my ar71xx is ok, but my brcm47xx are not, my wl500gp v1 have the same problem yet, killin /etc/preinit on failsafe and the router boots and everything works.

elphidium@slackware:~/32/500/trunk$ ./scripts/diffconfig.sh
CONFIG_TARGET_brcm47xx=y
CONFIG_TARGET_brcm47xx_WL500GPv1=y
CONFIG_TARGET_BOARD="brcm47xx"
CONFIG_DRIVER_11N_SUPPORT=y
CONFIG_KERNEL_RELAY=y
CONFIG_PACKAGE_aircrack-ng=y
CONFIG_PACKAGE_aircrack-ptw=y
CONFIG_PACKAGE_chat=y
CONFIG_PACKAGE_comgt=y
CONFIG_PACKAGE_ddns-scripts=y
CONFIG_PACKAGE_iperf=y
CONFIG_PACKAGE_iptables-mod-conntrack-extra=y
CONFIG_PACKAGE_iptables-mod-filter=y
CONFIG_PACKAGE_iptables-mod-ipopt=y
CONFIG_PACKAGE_iwinfo=y
CONFIG_PACKAGE_kmod-ath9k=y
CONFIG_PACKAGE_kmod-ath9k-common=y
CONFIG_PACKAGE_kmod-ifb=y
CONFIG_PACKAGE_kmod-ipt-conntrack-extra=y
CONFIG_PACKAGE_kmod-ipt-filter=y
CONFIG_PACKAGE_kmod-ipt-ipopt=y
CONFIG_PACKAGE_kmod-lib-textsearch=y
CONFIG_PACKAGE_kmod-rfkill=y
CONFIG_PACKAGE_kmod-sched-connmark=y
CONFIG_PACKAGE_kmod-sched-core=y
CONFIG_PACKAGE_kmod-usb-acm=y
CONFIG_PACKAGE_kmod-usb-net=y
CONFIG_PACKAGE_kmod-usb-net-cdc-ether=y
CONFIG_PACKAGE_kmod-usb-net-hso=y
CONFIG_PACKAGE_kmod-usb-net-rndis=y
CONFIG_PACKAGE_kmod-usb-printer=y
CONFIG_PACKAGE_kmod-usb-serial=y
CONFIG_PACKAGE_kmod-usb-serial-option=y
CONFIG_PACKAGE_kmod-usb-serial-wwan=y
CONFIG_PACKAGE_libiwinfo=y
CONFIG_PACKAGE_libiwinfo-lua=y
CONFIG_PACKAGE_liblua=y
CONFIG_PACKAGE_libopenssl=y
CONFIG_PACKAGE_libpcap=y
CONFIG_PACKAGE_libpthread=y
CONFIG_PACKAGE_librt=y
CONFIG_PACKAGE_libstdcpp=y
CONFIG_PACKAGE_libubus-lua=y
CONFIG_PACKAGE_libuci-lua=y
CONFIG_PACKAGE_libusb-1.0=y
CONFIG_PACKAGE_lua=y
CONFIG_PACKAGE_luci=y
CONFIG_PACKAGE_luci-app-ddns=y
CONFIG_PACKAGE_luci-app-firewall=y
CONFIG_PACKAGE_luci-app-ntpc=y
CONFIG_PACKAGE_luci-app-p910nd=y
CONFIG_PACKAGE_luci-app-qos=y
CONFIG_PACKAGE_luci-i18n-english=y
CONFIG_PACKAGE_luci-lib-core=y
CONFIG_PACKAGE_luci-lib-ipkg=y
CONFIG_PACKAGE_luci-lib-nixio=y
CONFIG_PACKAGE_luci-lib-sys=y
CONFIG_PACKAGE_luci-lib-web=y
CONFIG_PACKAGE_luci-mod-admin-core=y
CONFIG_PACKAGE_luci-mod-admin-full=y
CONFIG_PACKAGE_luci-proto-3g=y
CONFIG_PACKAGE_luci-proto-core=y
CONFIG_PACKAGE_luci-proto-ppp=y
CONFIG_PACKAGE_luci-sgi-cgi=y
CONFIG_PACKAGE_luci-theme-base=y
CONFIG_PACKAGE_luci-theme-bootstrap=y
CONFIG_PACKAGE_mdk3=y
CONFIG_PACKAGE_nmap=y
CONFIG_PACKAGE_ntpclient=y
CONFIG_PACKAGE_p910nd=y
CONFIG_PACKAGE_qos-scripts=y
CONFIG_PACKAGE_restorefactory=y
CONFIG_PACKAGE_tc=y
CONFIG_PACKAGE_tcpdump-mini=y
CONFIG_PACKAGE_uclibcxx=y
CONFIG_PACKAGE_uhttpd=y
CONFIG_PACKAGE_uhttpd-mod-ubus=y
CONFIG_PACKAGE_usb-modeswitch=y
CONFIG_PACKAGE_zlib=y

comment:17 Changed 5 years ago by desigabri

I apologize dears developers, I don't want botter you about this issue, but the busybox config lines appears everytime I do a "make defconfig", the only way to avoid it is to
set
# CONFIG_PACKAGE_busybox is not set

So I gone back to recompile older versions with busybox enabled and tryed:

-r36937 -> it Works
-r36950 -> it Works
-r36982 -> it Works
-r36983 -> IT DOESN'T WORK

r36982 and r36983 differs for the
package/mac80211/patches/300-pending_work.patch
could it helps you?

comment:18 Changed 5 years ago by desigabri

  • Resolution not_a_bug deleted
  • Status changed from closed to reopened

I apologize dears developers, I don't want botter you about this issue, but the busybox config lines appears everytime I do a "make defconfig", the only way to avoid it is to

set
# CONFIG_PACKAGE_busybox is not set

So I gone back to recompile older versions with busybox enabled and tryed:

-r36937 -> it Works
-r36950 -> it Works
-r36982 -> it Works
-r36983 -> IT DOESN'T WORK

r36982 and r36983 differs for the
package/mac80211/patches/300-pending_work.patch
could it helps you?

SORRY IF I DUPLICATED THE QUESTION BUT I DID IT TO REOPEN THE TICKET (I don't know if you read these new lines if it stay CLOSED and I forgot to reopen it the last one)

comment:19 Changed 5 years ago by nbd

  • Resolution set to invalid
  • Status changed from reopened to closed

Seems that you didn't understand my last comment. Maybe I wasn't clear enough, maybe writing in bold all-caps and short sentences will help get my point across. Here goes:

DO NOT DISABLE BUSYBOX!
ONLY DELETE THE LINES ONCE!
AFTER THE HAVE RE-APPEARED, LEAVE THEM ALONE!
IF IT DOESN'T WORK, MAKE A FRESH CHECKOUT!

I also seriously doubt the validity of your tests. You say it broke when going from r36982 to r36983, but the only change in there is to a driver that you did not even select!
By the way, you don't need to re-open the ticket for me to see my comments. Until it is proven that you're affected by a real bug in current trunk, leave the ticket closed.

comment:20 Changed 5 years ago by desigabri

yes seems to me that you are right.

I can't understand what happened but I recompiled r36983 and it works too.

At this point I'm thinking to have troubles about the trunk updates.

Some updated wrong and I don't know what revision starting from ( teorically the r36983 is the first revision that got me these problems).

So the only thing I did was to update to an older revision and then going up.
Sorry about me, it isn't the first time I didn't understand the troubles wasn't due to a bug, but I'm always serius not only wrong. THANKS for your great help and I need to know if I can add comments leaving the tickets cloded when I've troubles with the solutions or I have to reopen them.

comment:21 Changed 5 years ago by desigabri

I understood to not disable BUSYBOX and the I did the tests with the original custom configuration. I was wrong not recompiling the r36983 revision againg after having found that the new r36982 worked and the old r36983 dind't. I had too mutch hurry to write about the possible solution. Please don't worry about people like me that need to be caried hand in hand to the solution.

thanks again to all you for your patient

comment:22 Changed 5 years ago by nbd

No problem. Feel free to add another comment if you still run into issues after having made a clean checkout with the latest version.

comment:23 Changed 5 years ago by barbaracus@…

I have the same problem, deleting every line with BUSYBOX in the .config and make defconfig makes them reappear. There is something wrong going on.

comment:24 Changed 5 years ago by nbd

why did you pick up desigabri's earlier confusion and repeat it? ;)

just update to latest, completely reset your config, and stop thinking about busybox.

comment:25 Changed 5 years ago by barbaracus@…

I'm here because I have the same problem with /etc/init/rc.S and I found this bug report by searching the wiki.

I followed your suggestion. Deleted any BUSYBOX reference in .config and invoked make defconfig. I'm using the latest trunk.

As soon as I invoke make or make defconfig anything: BUSYBOX_CONFIG_INIT=y reappers. No matter what I do, if I cancel the lines in .config or disable the options in menuconfig, the next make restores them.

I've deleted the tree and I'm checking out again the repository. I hope to solve this way.

Sorry if this whole situation bothers you, I'm just trying to fix my problem.

comment:26 Changed 5 years ago by barbaracus@…

So the new checkout didn't solve anything but I found the problem anyway:

CONFIG_BUSYBOX_CONFIG_INIT=y appears only when CONFIG_BROKEN=y

I had this enabled because in the past I needed a broken package I don't need anymore. Disabling it solves the automatic restore of BUSYBOX_CONFIG_INIT=y.

Hope this helps anybody who runs into the same issue.

comment:27 Changed 5 years ago by nbd

Now what you're saying makes sense. Fixed in r37277

comment:28 Changed 5 years ago by desigabri

Uh thanks: I continued getting broken firmwares, I tryed going ahead and back with revisions obtaining "CASUALLY" working versions without relations on the changes applyed in the patches. Compiling againg a working version got the new compilation Not working so I was very confused about this kind of trouble. I decided to wait some times and compiled today the latest revision that worked at the first time. I Hope this issue is really fixed now. THANKS

comment:29 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.